fop 1.1

## org.apache.fop.afp.parser
Class MODCAParser

    java.lang.Object
      org.apache.fop.afp.parser.MODCAParser

    public class MODCAParser

extends java.lang.Object

An simple MO:DCA/AFP parser.

Field Summary
`static byte` `CARRIAGE_CONTROL_CHAR` The carriage control character (0x5A) used to indicate the start of a structured field.

Constructor Summary
`MODCAParser(java.io.InputStream in)` Main constructor

Method Summary
`UnparsedStructuredField` `readNextStructuredField()` Reads the next structured field from the input stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CARRIAGE_CONTROL_CHAR

    public static final byte CARRIAGE_CONTROL_CHAR

  The carriage control character (0x5A) used to indicate the start of a structured field.

  See Also:
    Constant Field Values

Constructor Detail

### MODCAParser

    public MODCAParser(java.io.InputStream in)

  Main constructor

  Parameters:
    `in` - the `InputStream` to read the AFP file from.

Method Detail

### readNextStructuredField

    public UnparsedStructuredField readNextStructuredField()
                                                    throws java.io.IOException

  Reads the next structured field from the input stream.

  No structure validation of the MO:DCA file is performed.

  Returns:
    a new unparsed structured field (or null when parsing is finished).
  Throws:
    `java.io.IOException` - if an I/O error occurs

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.